import Utils from "~/utils"

/**
* Botame Check规则
*/
let checkObj = {
    "bodgrp.blk.setinsbo"                      :null,
    "bodgrp.rec.matperbeg"                      :null,
    "bodgrp.rec.matpertyp"                      :null,
    "bodgrp.blk.proins"                      :null,
    "trnmod.swiadd.newamt"                      :null,
    "botp.recget.sdamod.dadsnd"                      :null,
    "bodgrp.drr.pts.adrblk"                      :null,
    "bodgrp.dre.adrelc"                      :null,
    "bodgrp.rec.matdat"                      :null,
    "setmod.dspflg"                      :null,
    "botp.colp.ptsget.sdamod.dadsnd"                      :null,
    "bodgrp.col.adrelc"                      :null,
    "bodgrp.col.pts.adrblk"                      :null,
    "botp.drrp.ptsget.sdamod.dadsnd"                      :null,
    "bodgrp.col.pts.extkey"                      :null,
    "bodgrp.blk.dftins"                      :null,
    "botp.usr.extkey"                      :null,
    "bodgrp.blk.delins"                      :null,
    "botamep.recget.sdamod.dadsnd"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "bodgrp.col.namelc"                      :null,
    "bodgrp.rec.stacty"                      :null,
    "bodgrp.drr.adrelc"                      :null,
    "bodgrp.dre.namelc"                      :null,
    "botp.drep.ptsget.sdamod.dadsnd"                      :null,
    "bodgrp.blk.colins"                      :null,
    "setmod.docamt"                      :null,
    "bodgrp.drr.namelc"                      :null,
    "bodgrp.dre.pts.adrblk"                      :null,
    "bodgrp.blk.othins"                      :null,
    "bodgrp.dre.pts.extkey"                      :null,
    "trnmod.swiadd.newmatdat"                      :null,
    "bodgrp.rec.invtyp"                      :null,
    "bodgrp.drr.pts.extkey"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

