import Utils from "~/utils"

/**
* Infbpd Check规则
*/
let checkObj = {
    "finmod.ovdintrat"                      :null,
    "recpan.purtyp"                      :null,
    "bpdgrp.fia.pts.extkey"                      :null,
    "bpdgrp.fia.pts.adrblk"                      :null,
    "finmod.fltval"                      :null,
    "finmod.ratchgdat"                      :null,
    "recpan.usr.extkey"                      :null,
    "finmod.intamt"                      :null,
    "finmod.act1"                      :null,
    "finmod.act3"                      :null,
    "finmod.intdat"                      :null,
    "bpdgrp.fia.namelc"                      :null,
    "infcon.seaamtto"                      :null,
    "finmod.ratchgprd"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "finmod.ratchgtyp"                      :null,
    "bpdgrp.fia.adrelc"                      :null,
    "recpan.fiap.ptsget.sdamod.dadsnd"                      :null,
    "finmod.ovdinttyp"                      :null,
    "finmod.flttyp"                      :null,
    "recpan.distyp"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

