import Utils from "~/utils"

/**
* Trtame Check规则
*/
let checkObj = {
    "newmatdat"                      :null,
    "liaall.misamt"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "trtmod.finmod.flttyp"                      :null,
    "liaall.limmod.ownref"                      :null,
    "cfatrt.recgrp.bas.currence"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "cfatrt.recgrp.bas.debtorname"                      :null,
    "trdgrp.fip.pts.nam"                      :null,
    "cfatrt.recgrp.bas.dofoexlotype"                      :null,
    "cfatrt.cfaflg"                      :null,
    "liaall.limmod.othp.ptsget.sdamod.dadsnd"                      :null,
    "trtmod.finmod.act1"                      :null,
    "trtmod.finmod.act3"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "trtp0.brdget.sdamod.dadsnd"                      :null,
    "cfatrt.ownextkey"                      :null,
    "trtmod.finmod.ratchgtyp"                      :null,
    "cfatrt.recgrp.bas.maturity"                      :null,
    "cfatrt.recgrp.bas.actiondesc"                      :null,
    "trtp0.bedget.sdamod.dadsnd"                      :null,
    "trtmod.finmod.ratchgprd"                      :null,
    "trtp0.ledget.sdamod.dadsnd"                      :null,
    "cfatrt.cda.useofunds"                      :null,
    "trdgrp.rec.lprtyp"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "trtmod.finmod.dinmod.jzllgz"                      :null,
    "cfatrt.recgrp.bas.dofoexlocode"                      :null,
    "cfatrt.recgrp.bas.valuedate"                      :null,
    "cfatrt.recgrp.bas.lenagree"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "cfatrt.recgrp.bas.actiontype"                      :null,
    "cfatrt.recgrp.bas.contractamount"                      :null,
    "cfatrt.cda.cfeogudamount"                      :null,
    "trtmod.finmod.ovdinttyp"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "trtmod.finmod.fltval"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "trtp0.recget.sdamod.dadsnd"                      :null,
    "ametyp"                      :null,
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd"                      :null,
    "cfatrt.recgrp.bas.debtorcode"                      :null,
    "cfatrt.recgrp.bas.lenproname"                      :null,
    "cfatrt.cda.cfeogudcurr"                      :null,
    "cfatrt.recgrp.bas.creditorcode"                      :null,
    "setmod.docamt"                      :null,
    "cfatrt.recgrp.bas.anninrate"                      :null,
    "trtmod.finmod.ovdintrat"                      :null,
    "trtmod.finmod.intdat"                      :null,
    "trtp0.bcdget.sdamod.dadsnd"                      :null,
    "trtmod.finmod.ratchgdat"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

