import Utils from "~/utils"

/**
* Bctdav Check规则
*/
let checkObj = {
    "bctp.drrp.ptsget.sdamod.dadsnd"                      :null,
    "bctp.usr.extkey"                      :null,
    "bcdgrp.blk.dftins"                      :null,
    "bcdgrp.dre.adrelc"                      :null,
    "bcdgrp.blk.othins"                      :null,
    "bctp.drep.ptsget.sdamod.dadsnd"                      :null,
    "bcdgrp.rmi.namelc"                      :null,
    "setmod.dspflg"                      :null,
    "bcdgrp.rec.invtyp"                      :null,
    "bcdgrp.rec.matpertyp"                      :null,
    "bcdgrp.drr.adrelc"                      :null,
    "bcdgrp.blk.colins"                      :null,
    "bcdgrp.rec.ownref"                      :null,
    "bcdgrp.blk.chgtxt"                      :null,
    "bcdgrp.drr.pts.extkey"                      :null,
    "bctp.acttyp"                      :null,
    "bcdgrp.dre.pts.adrblk"                      :null,
    "bcdgrp.rmi.pts.ref"                      :null,
    "bcdgrp.rmi.pts.adrblk"                      :null,
    "bcdgrp.cbs.max.amt"                      :null,
    "bcdgrp.dre.namelc"                      :null,
    "bcdgrp.rmi.adrelc"                      :null,
    "bctp.recget.sdamod.dadsnd"                      :null,
    "bcdgrp.cbs.max.cur"                      :null,
    "bctp.rmip.ptsget.sdamod.dadsnd"                      :null,
    "bcdgrp.rec.stacty"                      :null,
    "bcdgrp.drr.namelc"                      :null,
    "bcdgrp.rec.matperbeg"                      :null,
    "bcdgrp.rec.doctypcod"                      :null,
    "bcdgrp.rmi.pts.extkey"                      :null,
    "bcdgrp.blk.bcgdet"                      :null,
    "bcdgrp.dre.pts.ref"                      :null,
    "bcdgrp.rec.oridre"                      :null,
    "bcdgrp.drr.pts.adrblk"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "bcdgrp.rec.rcvdat"                      :null,
    "outlen.szflg"                      :null,
    "setmod.docamt"                      :null,
    "bcdgrp.dre.pts.extkey"                      :null,
    "bcdgrp.rec.matdat"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

