import Cptadv from "./Cptadv"
import Cptopn from "./Cptopn"
import Diasel from "./Diasel"
import Bopsel from "./Bopsel"
import Ditame from "./Ditame"
import Ditsel from "./Ditsel"
import Infdid from "./Infdid"
import Ditopn from "./Ditopn"
import Office from "./Office"
import Sptsel from "./Sptsel"
import Sptbrk from "./Sptsel/Sptbrk"
import Trnrel from "./Trnrel"
import Trnfnd from "./Trnrel/Trnfnd"
import Tstopn from "./Tstopn"
import Bdtudp from "./Bdtudp"
import Bdtdcr from "./Bdtdcr"
import Trndtl from "./Trnrel/Trndtl"
import Infpta from "./Infpta"

import Letsel from "./Letsel"
import Letopn from "./Letopn"
import Letame from "./Letame"
import Letrsv from './Letrsv'
import Infled from './Infled'

import Sptrel from "./Sptrel"
import Sptrou from "./Sptrou"
import Bddsel from "./Bddsel"
import Infbdd from "./Infbdd"
import Mgrtsk from "./Mgrtsk"
import Switsk from "./Switsk"
import Infusr from "./Infusr"
import Infcpd from "./Infcpd"
import Bctacc from "./Bctacc"
import Infcur from "./Infcur"
import Infbed from "./Infbed"
import Letcan from "./Letcan"
//光大添加
import Brtlat from "./Brtlat"
import Litopn from "./Litopn"
import Litcan from "./Litcan"
import Litdav from "./Litdav"
import Litdck from "./Litdck"
import Inflid from "./Inflid"
import Inftrd from "./Inftrd"
import Trtame from "./Trtame"
import Lttopn from "./Lttopn"
import Lttame from "./Lttame"
import Lttcan from "./Lttcan"
// import Infdet from "./Infdet"
import Botdav from "./Botdav"
import Botame from "./Botame"
import Botdcr from "./Botdcr"
import Botset from "./Botset"
import Infbpd from "./Infbpd"
import Inftxm from "./Inftxm"
import Bctdav from "./Bctdav"
import Inffee from "./Inffee"
import Infbcd from "./Infbcd"

import Bttcan  from "./Bttcan"
import Bttacc  from "./Bttacc"

/**
 * 带有name的才会被添加进顶部的标签页里
 */
const BusRouter = [
  { path: 'bdtudp', component: Bdtudp, name: 'Bdtudp', meta: { title: '国内证承兑' } },
  { path: 'bdtdcr', component: Bdtdcr, name: 'Bdtdcr', meta: { title: '国内证不符点/拒付' } },
  { path: 'cptadv', component: Cptadv, name: 'Cptadv', meta: { title: '汇入汇款' } },
  { path: 'cptopn', component: Cptopn, name: 'Cptopn', meta: { title: '汇出汇款' } },
  { path: 'diasel', component: Diasel, name: 'Diasel', meta: { title: '备忘录选择交易' } },
  { path: 'bopsel', component: Bopsel, name: 'Bopsel', meta: { title: '待申报列表' } },
  { path: 'ditame', component: Ditame, name: 'Ditame', meta: { title: '信用证修改' } },
  { path: 'ditsel', component: Ditsel, name: 'Ditsel', meta: { title: '信用证查询' } },
  { path: 'infdid', component: Infdid, name: 'Infdid', meta: { title: '信用证查询' } },
  { path: 'ditopn', component: Ditopn, name: 'Ditopn', meta: { title: '买方信用证开立' } },
  // 例
  { path: 'ditopn/:inr', component: Ditopn, name: 'DitopnInr', meta: { title: (params) => { return '买方信用证开立-' + params.inr } } },
  { path: 'office', component: Office, name: 'Office', meta: { title: 'Office' } },
  { path: 'sptsel', component: Sptsel, name: 'Sptsel', meta: { title: '待办任务' } },
  { path: 'sptbrk', component: Sptbrk, name: 'Sptbrk', meta: { title: '草稿箱' } },
  { path: 'trnrel', component: Trnrel, name: 'Trnrel', meta: { title: '复核任务' } },
  { path: 'trnfnd', component: Trnfnd, name: 'Trnfnd', meta: { title: '已完成任务' } },
  { path: 'trndtl', query: 'inr', component: Trndtl, name: 'Trndtl', meta: { title: 'Trndtl' } },
  { path: 'tstopn', component: Tstopn, name: 'Tstopn', meta: { title: 'Tstopn' } },
  { path: 'infpta', component: Infpta, name: 'Infpta', meta: { title: 'Infpta' } },
  { path: 'letsel', component: Letsel, name: 'Letsel', meta: { title: '出口信用证查询' } },
  { path: 'letopn', component: Letopn, name: 'Letopn', meta: { title: '出口信用证通知' } },
  { path: 'letame', component: Letame, name: 'Letame', meta: { title: '出口信用证修改' } },
  { path: 'letrsv', component: Letrsv, name: 'Letrsv', meta: { title: '出口信用证补通知' } },
  { path: 'infled', component: Infled, name: 'Infled', meta: { title: '出口信用证查询infled' } },

  { path: 'sptrel', component: Sptrel, name: 'Sptrel', meta: { title: 'Sptrel' } },
  { path: 'sptrou', component: Sptrou, name: 'Sptrou', meta: { title: 'Sptrou' } },
  { path: 'bddsel', component: Bddsel, name: 'Bddsel', meta: { title: 'Bddsel' } },
  { path: 'infbdd', component: Infbdd, name: 'Infbdd', meta: { title: '买方信用证单据查询' } },
  { path: 'mgrtsk', component: Mgrtsk, name: 'Mgrtsk', meta: { title: 'Mgrtsk' } },
  { path: 'switsk', component: Switsk, name: 'Switsk', meta: { title: 'Switsk' } },
  { path: 'infusr', component: Infusr, name: 'Infusr', meta: { title: '用户信息' } },
  { path: 'infcpd', component: Infcpd, name: 'Infcpd', meta: { title: '汇款查询' } },
  { path: 'bctdav', component: Bctdav, name: 'Bctdav', meta: { title: '进口代收' } },
  { path: 'bctacc', component: Bctacc, name: 'Bctacc', meta: { title: '进口代收承兑' } },
  { path: 'infcur', component: Infcur, name: 'Infcur', meta: { title: 'Infcur' } },
  { path: 'infbed', component: Infbed, name: 'Infbed', meta: { title: '出口信用证单据查询' } },
  { path: 'letcan', component: Letcan, name: 'Letcan', meta: { title: '出口信用证注销' } },
  //光大添加
  { path: 'brtlat', component: Brtlat, name: 'Brtlat', meta: { title: '进口信用证单据偿还垫款' } },
  { path: 'litopn', component: Litopn, name: 'Litopn', meta: { title: '进口信用证开立' } },
  { path: 'litcan', component: Litcan, name: 'Litcan', meta: { title: '进口信用证注销' } },
  { path: 'litdav', component: Litdav, name: 'Litdav', meta: { title: '进口信用证通知到单 ' } },
  { path: 'litdck', component: Litdck, name: 'Litdck', meta: { title: '进口信用证到单' } },
  { path: 'inflid', component: Inflid, name: 'Inflid', meta: { title: '进口信用证查询' } },
  { path: 'inftrd', component: Inftrd, name: 'Inftrd', meta: { title: '进口押汇查询' } },
  { path: 'trtame', component: Trtame, name: 'Trtame', meta: { title: '进口融资修改' } },
  { path: 'infbpd', component: Infbpd, name: 'Infbpd', meta: { title: '进口单据查询' } },
  { path: 'inftxm', component: Inftxm, name: 'Inftxm', meta: { title: '条式语句查询' } },
  // { path: 'infdet', component: Infdet, name: 'Infdet', meta: { title: 'Infdet' } },
  { path: 'lttopn', component: Lttopn, name: 'Lttopn', meta: { title: '转让证开立' } },
  { path: 'lttame', component: Lttame, name: 'Lttame', meta: { title: '转让证修改' } },
  { path: 'lttcan', component: Lttcan, name: 'Lttcan', meta: { title: '转让证注销' } },
  {path:'bttcan',component:Bttcan, name: 'Bttcan', meta: { title: '转让信用证单据注销' }},
  {path:'bttacc',component:Bttacc, name: 'Bttacc', meta: { title: '转让信用证单据承兑' }},
  { path: 'botdav', component: Botdav, name: 'Botdav', meta: { title: '出口托收寄单' } },
  { path: 'botame', component: Botame, name: 'Botame', meta: { title: '出口托收修改' } },
  { path: 'botdcr', component: Botdcr, name: 'Botdcr', meta: { title: '出口托收拒付/不符点' } },
  { path: 'botset', component: Botset, name: 'Botset', meta: { title: '出口托收收汇' } },
  { path: 'inffec', component: Botset, name: 'Inffec', meta: { title: '费用条件查询' } },
  { path: 'inffee', component: Inffee, name: 'Inffee', meta: { title: '费用管理' } },
  { path: 'infptm', component: Botset, name: 'Infptm', meta: { title: '客户BIC查询' } },
  {path:'infbcd',component:Infbcd, name: 'Infbcd', meta: { title: '进口代收查询' } },
]
export default BusRouter